package main

import (
	"fmt"
	"regexp"
)

func main() {
	var re = regexp.MustCompile(`(?i)οὗτος`)
	var str = `Οὗτος ἦν ἐκ φυλῆς Λευΐ· ἐτέχθη δὲ εἰς Βαβυλῶνα ἐπὶ τῆς αἰχµαλωσίας· καὶ ἔτι νέος ὤν, ἦλθεν ἀπὸ Βαβυλῶνος εἰς Ἱερουσαλήµ, καὶ προεφήτευσε µετὰ Ζαχαρίου ἔτη τριάκοντα ἕξ. Προέλαβε δὲ καὶ οὗτος τὴν σάρκωσιν τοῦ Χριστοῦ, ἔτη τετρακόσια ἑβδοµήκοντα. Οὗτος καὶ φανερῶς περὶ τῆς ἐπιστροφῆς τοῦ λαοῦ προεφήτευσε, καὶ εἶδεν ἐκ µέρους τὴν οἰκοδοµὴν τοῦ Ναοῦ· καὶ ἀποθανών, ἐτάφη πλησίον τῶν ἱερέων, ὡς αὐτοί, ἐνδόξως· ἐπεὶ καὶ αὐτὸς ἐκ γένους ἱερατικοῦ. Ἦν δὲ κοµιδῇ γηραιός, στρογγύλον ἔχων τὸ γένειον, τὴν ἡλικίαν ἔντιµος, τὴν ἀρετὴν περιφανής, ἀγαπώµενος ὑπὸ πάντων καὶ τιµώµενος, ὡς ἔνδοξος καὶ µέγας προφήτης. Ἑρµηνεύεται δὲ Ἑορτή, ἢ ἑορταζόµενος. οὗτος  οὗτος.`

	for i, match := range re.FindAllStringIndex(str, -1) {
		fmt.Println(match, "found at index", i)
	}
}
